using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wSinger_Album:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("歌手专辑列表","网站页面","歌手专辑列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

		ID=Convert.ToInt32(Request.QueryString["ID"]);
		歌手名称=Request.QueryString["g"];
		一页显示记录数=获取一页显示记录数();
		查询字段=获取查询字段();
		时间格式=获取时间格式();
		生成歌手();
		跳页表单项="<postfield name=\"ID\" value=\""+
			ID+
			"\" />"+
			"<postfield name=\"order\" value=\""+排序+"\" />"+
			"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+
			访问.用户["标识"]+"\" />";
		_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+
			ID+
			"\" />"+
			"<input type=\"hidden\" name=\"order\" value=\""+排序+"\" />"+
			"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+
			访问.用户["标识"]+"\" />";
		查询条件+=" WHERE [专辑歌手]=@专辑歌手";
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_音乐_专辑]"+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		数量语句.Parameters.Add("@专辑歌手",SqlDbType.NVarChar).Value=歌手名称;
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""");

		返回值.Append(Server.HtmlEncode(歌手名称));
		返回值.Append(@"-歌手专辑列表"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
");

		返回值.Append("<img "+常用.获取图片宽度高度("歌手")+" src=\""+歌手["歌手图片"]+"\" alt=\"图片\" />");
		返回值.Append(@"<br/>
歌手名称：");

		返回值.Append(Server.HtmlEncode(歌手名称));
		返回值.Append(@"<br/>
歌手地区：");

		返回值.Append(Server.HtmlEncode(歌手["歌手地区"].ToString()));
		返回值.Append(@"<br/>
歌手类型：");

		返回值.Append(Server.HtmlEncode(歌手["歌手类型"].ToString()));
		返回值.Append(@"<br/><br/>

");
		专辑列表C7I0BRC4();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"----------<br/>
");
		返回值.Append(下页代码FSGLD7AB());
		返回值.Append(@"
");
		返回值.Append(上页代码FICZ551E());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" name=""page"" format=""*N"" value=""2"" size=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>跳转</anchor><br/>");
		}
		返回值.Append(@"<br/>

");
		上下歌手XKOATZV0();
		返回值.Append(@"
");
		上下歌手NQUDLZ4U();
		返回值.Append(@"
<br/>



<a href=""");

		返回值.Append(Server.HtmlEncode(常用.处理地址("Singer.aspx?ID="+ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">返回歌手信息</a>
<br/>
<a href=""SingerList.aspx?order=1&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回歌手列表</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"

</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private new int ID;
	private String 歌手名称;
	private int 排序;
	private String 查询字段;
	private String 时间格式;
	private Hashtable 歌手;
	private String 当前页面=@"/UUN WAP CMS 3.1/Singer_Album.aspx";

	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;

	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private void 生成歌手()
	{
		SqlCommand 语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_音乐_歌手] WHERE "+(ID!=0?"[ID]=@ID":"[歌手/乐队名称]=@歌手名称"),访问.连接);
		if(ID!=0)
			语句.Parameters.Add("@ID",SqlDbType.Int).Value=ID;
		else
			语句.Parameters.Add("@歌手名称",SqlDbType.NVarChar).Value=歌手名称;

		歌手=常用.SQL_获取(语句);
		if(歌手==null)
			throw new Exception("歌手不存在");

		if(ID==0)
			ID=Convert.ToInt32(歌手["ID"]);
		else
			歌手名称=Convert.ToString(歌手["歌手/乐队名称"]);
	}
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?ID="+ID+"&order="+排序+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 专辑列表C7I0BRC4()
	{
		if(总记录数<1)
			返回值.Append(@"暂时还没有专辑<br/>");
		String 语句SQL="SELECT [ID],[专辑名称] FROM ["+程序.数据表前缀+"内容_音乐_专辑]"+查询条件;
		语句SQL+=" ORDER BY ";
		switch(排序)
		{
			case 0:
				语句SQL+="[创建时间]";
				break;
			default:
				语句SQL+="[创建时间] DESC";
				break;
		}
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		语句.Parameters.Add("@专辑歌手",SqlDbType.NVarChar).Value=歌手名称;
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Album.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["专辑名称"].ToString()));
			返回值.Append(@"</a><br/>");
		}
		}

		private String 下页代码FSGLD7AB()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码FICZ551E()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}
	private void 上下歌手XKOATZV0()
	{
		String SQL="SELECT [ID],[歌手/乐队名称] FROM ["+程序.数据表前缀+"内容_音乐_歌手]";
		SQL+=" WHERE [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Singer.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">下一个：");
				返回值.Append(Server.HtmlEncode(行["歌手/乐队名称"].ToString()));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下歌手NQUDLZ4U()
	{
		String SQL="SELECT [ID],[歌手/乐队名称] FROM ["+程序.数据表前缀+"内容_音乐_歌手]";
		SQL+=" WHERE [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Singer.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">上一个：");
				返回值.Append(Server.HtmlEncode(行["歌手/乐队名称"].ToString()));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}

	private String 获取时间格式()
	{
		return @"yyyy-MM-dd HH:mm:ss";

	}

	private String 获取查询字段()
	{
		return @"[ID],[歌手/乐队名称],[歌手图片],[歌手地区],[歌手类型]";

	}

	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}